gstreamer-1.0-net.package 1.5 KB
Newer Older
1
2
3
4
# vi:si:et:sw=4:sts=4:ts=4:syntax=python:ft=python
# -*- Mode: Python -*-


5
class Package(custom.GStreamer, package.Package):
6

7
    name = 'gstreamer-1.0-net'
8
9
10
    shortdesc = 'GStreamer 1.0 plugins for network protocols'
    longdesc = 'GStreamer 1.0 plugins for network protocols'
    uuid = '2f9ca3f5-3b3b-4b4d-8cc9-6c08f21af807'
11
    deps = ['gstreamer-1.0-core', 'base-crypto']
12

13
    files = ['libsoup:libs', 'libsrtp:libs', 'libnice:libs', 'libnice:plugins_net',
14
            'openssl:libs', 'srt:libs', 'libusrsctp:libs',
15
            'gst-plugins-base-1.0:plugins_net', 'gst-plugins-good-1.0:plugins_net',
16
            'gst-plugins-ugly-1.0:plugins_net', 'gst-plugins-bad-1.0:plugins_net',
17
            'gst-rtsp-server-1.0:libs:typelibs:plugins_net']
18
19
20
21
22
23
    files_devel = ['libnice:plugins_net_devel',
            'gst-plugins-base-1.0:plugins_net_devel',
            'gst-plugins-good-1.0:plugins_net_devel',
            'gst-plugins-ugly-1.0:plugins_net_devel',
            'gst-plugins-bad-1.0:plugins_net_devel',
            'gst-rtsp-server-1.0:plugins_net_devel']
24
25
26

    def prepare(self):
        if self.config.target_platform != Platform.LINUX or \
27
28
29
30
           self.config.target_distro_version  in \
                [DistroVersion.DEBIAN_SQUEEZE,
                 DistroVersion.UBUNTU_MAVERICK,
                 DistroVersion.UBUNTU_LUCID]:
31
            self.files += ['glib-networking']
32
33
        elif self.config.target_platform == Platform.LINUX:
            self.sys_deps = {self.config.target_distro_version: ['glib-networking']}